%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name foreman_theme_satellite

Summary:    Provides Satellite theme for Foreman and Plugins
Name:       %{?scl_prefix}rubygem-%{gem_name}
Version:    0.1.47.3
Release:    1%{?dist}
Group:      Applications/System
License:    GPLv3
Source0:    http://sat-r220-02.lab.eng.rdu2.redhat.com/pulp/isos/Sat6-CI/Library/custom/Source_Files/Satellite_6_2_Source_Files/%{gem_name}-%{version}.gem

Requires: %{?scl_prefix}rubygem(deface) >= 1.0.0
Requires: %{?scl_prefix}rubygem(deface) < 2.0.0
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}rubygems

BuildRequires: %{?scl_prefix}rubygem(deface) >= 1.0.0
BuildRequires: %{?scl_prefix}rubygem(deface) < 2.0.0
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildRequires: %{?scl_prefix_ruby}rubygems

BuildArch: noarch

Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Provides Satellite theme for Foreman and Plugins

%package doc
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0} --no-rdoc --no-ri
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_instdir}/app
%{gem_instdir}/db
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/locale
%{gem_spec}
%doc %{gem_instdir}/LICENSE

%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/test
%exclude %{gem_instdir}/Rakefile

%files doc
%doc %{gem_instdir}/README.md

%changelog
* Wed Mar 14 2018 Zjhuntin <zhunting@redhat.com> 0.1.47.3-1

* Tue Jan 09 2018 Evgeni Golov 0.1.47.2-1
- 

* Wed Nov 29 2017 Zach Huntington-Meath <zhunting@redhat.com> 0.1.47.1-1
- 

* Tue Aug 22 2017 Evgeni Golov <egolov@redhat.com> 0.1.47-1
- 

* Mon Jul 17 2017 zjhuntin <zhunting@redhat.com> 0.1.46-1
- 

* Thu Jun 29 2017 zjhuntin <zhunting@redhat.com> 0.1.45-1
- BZ #1429418 - fix already initialized constant Katello::Ping::PACKAGE

* Thu May 18 2017 zjhuntin <zhunting@redhat.com> 0.1.43-1
- 

* Mon Mar 20 2017 zjhuntin <zhunting@redhat.com> 0.1.42-1
- 

* Thu Feb 02 2017 zjhuntin <zhunting@redhat.com> 0.1.41-1
- BZ #1406506 - Network snippets added to Atomic KS

* Tue Jan 31 2017 zjhuntin <zhunting@redhat.com> 0.1.40-1
- 

* Tue Jan 10 2017 zjhuntin <zhunting@redhat.com> 0.1.38-1
- BZ #1368230 - fix the links to upstream docs

* Tue Dec 20 2016 zjhuntin <zhunting@redhat.com> 0.1.37-1
- 

* Mon Dec 12 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.36-1
- 

* Tue Nov 22 2016 zjhuntin <zhunting@redhat.com> 0.1.35-1
- 

* Thu Oct 27 2016 zjhuntin <zhunting@redhat.com> 0.1.33-1
- 

* Wed Oct 26 2016 zjhuntin <zhunting@redhat.com> 0.1.32-1
- 

* Fri Oct 21 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.31-1
- BZ #1326044 - atomic data in user data templat

* Fri Oct 07 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.30-1
- 

* Tue Sep 06 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.28-1
- BZ #1372436 - Set version to 6.2.

* Tue Aug 30 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.27-1
- BZ #1209838 - add support for idm_domain optio

* Tue Aug 16 2016 zjhuntin <zhunting@redhat.com> 0.1.26-1
- BZ #1367495 - Version string still indicates 6.2.0 on version 6.2.

* Wed Jul 20 2016 Zach Huntington-Meath <zhunting@redhat.com> 0.1.25-1
- 

* Wed Jul 13 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.23-1
- BZ #1332197 - fix templates to put rex snippet in correct plac

* Mon Jun 27 2016 Zach Huntington-Meath <zhunting@redhat.com> 0.1.22-1
- BZ #1341809 - Fixing the copyright text on abou

* Tue Jun 07 2016 Zach Huntington-Meath <zhunting@redhat.com> 0.1.20-1
- BZ #1343673 - update to Beta 2 versio

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.19-1
- BZ 1335650 - remove 'Beta' from the SATELLITE_VERSION
- BZ #1331432 - enable Satellite tools repo agai

* Tue May 10 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.17-1
- 

* Wed May 04 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.15-1
- BZ #1330673 - Create branded strings on the fl

* Tue May 03 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.14-1
- 

* Mon Apr 25 2016 Mike McCune <mmccune@redhat.com> 0.1.10-1
- BZ #1330239 - Destroy the upstream template

* Tue Apr 19 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.9-1
- BZ #1326022 - Added override for bastion with custom menu color
- BZ #1313748: Only override Katello templates if Katello is present
- BZ #1313748 - Added satellite provisioning template

* Wed Apr 13 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.8-1
- BZ #1324616 - Added options hash to documentation_url helpe

* Tue Apr 12 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.7-1
- BZ #1324977 - Showing correct version number on About pag

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.6-2
- Add config file to directories (ericdhelms@gmail.com)

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.6-1
- BZ #1313751 - Added settings initializer that sets email values to satellit

* Thu Apr 07 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.5-2
- Add missing DB directory

* Thu Apr 07 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.5-1
- BZ #1313751 - Remove Satellite from mail notification name

* Mon Apr 04 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.4-1
- BZ #1317825 - Redefined .navbar-collapse.in colors

* Wed Mar 16 2016 Chris Peters <chrispeters.psu@gmail.com> 0.1.3-1
- Bump version 0.1.3

* Fri Feb 12 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.2-1
- Update rubygem-foreman_theme_satellite to 0.1.2 (ericdhelms@gmail.com)

* Fri Feb 12 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.1-1
- Update rubygem-foreman_theme_satellite to 0.1.1 (ericdhelms@gmail.com)

* Wed Feb 10 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.0-1
- new package built with tito

